\begin{tabular}{lllllllllllll}
\toprule
{} &                 $\mathtt{VBS}(H)$ &               $\mathtt{ASH}(H,8)$ &               $\mathtt{ASH}(H,1)$ &                 $\mathtt{UCB}(H)$ &                 $\mathtt{UNI}(H)$ &                   $\mathtt{cacd}$ &                    $\mathtt{chs}$ &               $\mathtt{dom/wdeg}$ \\
\midrule
\emph{aim}                      &       \textbf{\#03} (\textbf{6s}) &       \textbf{\#03} (\textbf{6s}) &       \textbf{\#03} (\textbf{6s}) &              \textbf{\#03} ({7s}) &              \textbf{\#03} ({7s}) &       \textbf{\#03} (\textbf{6s}) &       \textbf{\#03} (\textbf{6s}) &       \textbf{\#03} (\textbf{6s}) \\
\emph{AllInterval}              &      \textbf{\#06} (\textbf{12s}) &      \textbf{\#06} (\textbf{12s}) &      \textbf{\#06} (\textbf{12s}) &      \textbf{\#06} (\textbf{12s}) &      \textbf{\#06} (\textbf{12s}) &      \textbf{\#06} (\textbf{12s}) &      \textbf{\#06} (\textbf{12s}) &      \textbf{\#06} (\textbf{12s}) \\
\emph{bdd}                      &      \textbf{\#04} (\textbf{32s}) &             \textbf{\#04} ({46s}) &             \textbf{\#04} ({37s}) &             \textbf{\#04} ({38s}) &             \textbf{\#04} ({40s}) &             \textbf{\#04} ({46s}) &             \textbf{\#04} ({49s}) &             \textbf{\#04} ({48s}) \\
\emph{Bibd}                     &  \textbf{\#15} (\textbf{22,337s}) &                \#{14} ({24,559s}) &                \#{14} ({24,435s}) &                \#{13} ({27,513s}) &                \#{13} ({26,651s}) &                \#{10} ({33,820s}) &                \#{10} ({34,385s}) &                \#{10} ({33,842s}) \\
\emph{Blackhole}                &   \textbf{\#08} (\textbf{9,618s}) &          \textbf{\#08} ({9,620s}) &          \textbf{\#08} ({9,620s}) &          \textbf{\#08} ({9,621s}) &          \textbf{\#08} ({9,620s}) &          \textbf{\#08} ({9,619s}) &          \textbf{\#08} ({9,653s}) &   \textbf{\#08} (\textbf{9,618s}) \\
\emph{bmc}                      &   \textbf{\#04} (\textbf{4,844s}) &          \textbf{\#04} ({4,846s}) &          \textbf{\#04} ({4,847s}) &          \textbf{\#04} ({4,846s}) &          \textbf{\#04} ({4,847s}) &          \textbf{\#04} ({4,848s}) &          \textbf{\#04} ({4,847s}) &          \textbf{\#04} ({4,845s}) \\
\emph{bqwh}                     &       \textbf{\#05} (\textbf{9s}) &             \textbf{\#05} ({16s}) &             \textbf{\#05} ({20s}) &       \textbf{\#05} (\textbf{9s}) &       \textbf{\#05} (\textbf{9s}) &             \textbf{\#05} ({16s}) &       \textbf{\#05} (\textbf{9s}) &       \textbf{\#05} (\textbf{9s}) \\
\emph{Cabinet}                  &      \textbf{\#04} (\textbf{12s}) &             \textbf{\#04} ({20s}) &             \textbf{\#04} ({18s}) &             \textbf{\#04} ({16s}) &             \textbf{\#04} ({15s}) &             \textbf{\#04} ({17s}) &             \textbf{\#04} ({22s}) &             \textbf{\#04} ({23s}) \\
\emph{CarSequencing}            &  \textbf{\#19} (\textbf{13,351s}) &         \textbf{\#19} ({14,572s}) &                \#{18} ({14,132s}) &                \#{18} ({15,665s}) &                \#{18} ({14,318s}) &         \textbf{\#19} ({15,533s}) &                \#{15} ({21,006s}) &                \#{15} ({23,150s}) \\
\emph{color\_X2}                &       \textbf{\#01} (\textbf{8s}) &             \textbf{\#01} ({10s}) &              \textbf{\#01} ({9s}) &             \textbf{\#01} ({11s}) &             \textbf{\#01} ({11s}) &       \textbf{\#01} (\textbf{8s}) &             \textbf{\#01} ({10s}) &       \textbf{\#01} (\textbf{8s}) \\
\emph{ColouredQueens}           &  \textbf{\#04} (\textbf{33,607s}) &  \textbf{\#04} (\textbf{33,607s}) &         \textbf{\#04} ({33,611s}) &         \textbf{\#04} ({33,608s}) &         \textbf{\#04} ({33,608s}) &  \textbf{\#04} (\textbf{33,607s}) &  \textbf{\#04} (\textbf{33,607s}) &         \textbf{\#04} ({33,608s}) \\
\emph{composed}                 &      \textbf{\#04} (\textbf{10s}) &      \textbf{\#04} (\textbf{10s}) &      \textbf{\#04} (\textbf{10s}) &             \textbf{\#04} ({11s}) &             \textbf{\#04} ({11s}) &      \textbf{\#04} (\textbf{10s}) &      \textbf{\#04} (\textbf{10s}) &      \textbf{\#04} (\textbf{10s}) \\
\emph{ConsecutiveSquarePacking} &  \textbf{\#02} (\textbf{28,901s}) &         \textbf{\#02} ({29,101s}) &                \#{01} ({31,210s}) &         \textbf{\#02} ({30,527s}) &                \#{01} ({31,221s}) &         \textbf{\#02} ({30,403s}) &         \textbf{\#02} ({30,866s}) &  \textbf{\#02} (\textbf{28,901s}) \\
\emph{CostasArray}              &     \textbf{\#06} (\textbf{100s}) &            \textbf{\#06} ({190s}) &            \textbf{\#06} ({181s}) &            \textbf{\#06} ({299s}) &            \textbf{\#06} ({299s}) &            \textbf{\#06} ({207s}) &          \textbf{\#06} ({1,475s}) &          \textbf{\#06} ({2,377s}) \\
\emph{CoveringArray}            &            \textbf{\#06} ({101s}) &      \textbf{\#06} (\textbf{68s}) &            \textbf{\#06} ({383s}) &            \textbf{\#06} ({791s}) &            \textbf{\#06} ({982s}) &                 \#{03} ({7,207s}) &            \textbf{\#06} ({102s}) &                 \#{02} ({9,603s}) \\
\emph{cril}                     &      \textbf{\#04} (\textbf{20s}) &             \textbf{\#04} ({26s}) &             \textbf{\#04} ({24s}) &             \textbf{\#04} ({31s}) &             \textbf{\#04} ({31s}) &                 \#{03} ({2,643s}) &            \textbf{\#04} ({201s}) &             \textbf{\#04} ({53s}) \\
\emph{Crossword}                &  \textbf{\#11} (\textbf{21,921s}) &                \#{09} ({25,264s}) &                \#{10} ({22,681s}) &                \#{10} ({24,230s}) &                \#{10} ({23,601s}) &                \#{10} ({24,951s}) &                \#{10} ({23,092s}) &                \#{10} ({23,087s}) \\
\emph{CryptoPuzzle}             &      \textbf{\#06} (\textbf{11s}) &      \textbf{\#06} (\textbf{11s}) &             \textbf{\#06} ({21s}) &      \textbf{\#06} (\textbf{11s}) &      \textbf{\#06} (\textbf{11s}) &      \textbf{\#06} (\textbf{11s}) &      \textbf{\#06} (\textbf{11s}) &             \textbf{\#06} ({14s}) \\
\emph{DeBruijnSequence}         &      \textbf{\#06} (\textbf{66s}) &            \textbf{\#06} ({137s}) &             \textbf{\#06} ({76s}) &            \textbf{\#06} ({138s}) &             \textbf{\#06} ({76s}) &             \textbf{\#06} ({76s}) &             \textbf{\#06} ({75s}) &             \textbf{\#06} ({75s}) \\
\emph{DiamondFree}              &      \textbf{\#06} (\textbf{59s}) &             \textbf{\#06} ({62s}) &             \textbf{\#06} ({64s}) &             \textbf{\#06} ({62s}) &             \textbf{\#06} ({64s}) &             \textbf{\#06} ({60s}) &             \textbf{\#06} ({86s}) &             \textbf{\#06} ({69s}) \\
\emph{Domino}                   &      \textbf{\#06} (\textbf{12s}) &             \textbf{\#06} ({13s}) &             \textbf{\#06} ({13s}) &             \textbf{\#06} ({13s}) &             \textbf{\#06} ({13s}) &      \textbf{\#06} (\textbf{12s}) &      \textbf{\#06} (\textbf{12s}) &      \textbf{\#06} (\textbf{12s}) \\
\emph{driverlogw}               &      \textbf{\#06} (\textbf{32s}) &             \textbf{\#06} ({47s}) &             \textbf{\#06} ({49s}) &             \textbf{\#06} ({62s}) &             \textbf{\#06} ({43s}) &             \textbf{\#06} ({33s}) &             \textbf{\#06} ({34s}) &             \textbf{\#06} ({33s}) \\
\emph{Dubois}                   &  \textbf{\#13} (\textbf{14,781s}) &                \#{11} ({18,449s}) &                \#{11} ({20,796s}) &                \#{11} ({18,791s}) &                \#{10} ({20,681s}) &                \#{10} ({21,115s}) &         \textbf{\#13} ({14,784s}) &                \#{10} ({20,480s}) \\
\emph{ehi}                      &      \textbf{\#04} (\textbf{14s}) &             \textbf{\#04} ({15s}) &             \textbf{\#04} ({15s}) &             \textbf{\#04} ({15s}) &             \textbf{\#04} ({15s}) &      \textbf{\#04} (\textbf{14s}) &             \textbf{\#04} ({15s}) &             \textbf{\#04} ({15s}) \\
\emph{Eternity}                 &         \textbf{\#07} ({19,866s}) &                \#{06} ({21,857s}) &         \textbf{\#07} ({20,404s}) &  \textbf{\#07} (\textbf{19,567s}) &         \textbf{\#07} ({20,744s}) &         \textbf{\#07} ({19,991s}) &                \#{06} ({21,692s}) &         \textbf{\#07} ({20,933s}) \\
\emph{Fischer}                  &   \textbf{\#02} (\textbf{9,628s}) &          \textbf{\#02} ({9,629s}) &          \textbf{\#02} ({9,652s}) &   \textbf{\#02} (\textbf{9,628s}) &          \textbf{\#02} ({9,629s}) &   \textbf{\#02} (\textbf{9,628s}) &          \textbf{\#02} ({9,629s}) &          \textbf{\#02} ({9,676s}) \\
\emph{frb}                      &  \textbf{\#07} (\textbf{24,898s}) &                \#{04} ({30,355s}) &                \#{05} ({28,713s}) &                \#{04} ({30,653s}) &                \#{05} ({29,081s}) &                \#{03} ({31,223s}) &                \#{05} ({27,517s}) &                \#{06} ({25,685s}) \\
\emph{geometric}                &      \textbf{\#04} (\textbf{23s}) &             \textbf{\#04} ({30s}) &             \textbf{\#04} ({28s}) &             \textbf{\#04} ({31s}) &             \textbf{\#04} ({35s}) &             \textbf{\#04} ({64s}) &             \textbf{\#04} ({34s}) &             \textbf{\#04} ({24s}) \\
\emph{gp10}                     &   \textbf{\#00} (\textbf{2,400s}) &   \textbf{\#00} (\textbf{2,400s}) &   \textbf{\#00} (\textbf{2,400s}) &   \textbf{\#00} (\textbf{2,400s}) &   \textbf{\#00} (\textbf{2,400s}) &   \textbf{\#00} (\textbf{2,400s}) &   \textbf{\#00} (\textbf{2,400s}) &   \textbf{\#00} (\textbf{2,400s}) \\
\emph{GracefulGraph}            &  \textbf{\#08} (\textbf{21,890s}) &         \textbf{\#08} ({22,580s}) &         \textbf{\#08} ({22,623s}) &                \#{07} ({24,191s}) &                \#{07} ({24,210s}) &         \textbf{\#08} ({24,075s}) &         \textbf{\#08} ({21,939s}) &                \#{07} ({24,116s}) \\
\emph{graph}                    &  \textbf{\#07} (\textbf{11,965s}) &                \#{04} ({17,104s}) &                \#{04} ({17,054s}) &                \#{03} ({18,676s}) &                \#{02} ({19,335s}) &                \#{06} ({14,877s}) &                \#{02} ({19,330s}) &                \#{04} ({15,775s}) \\
\emph{Hanoi}                    &      \textbf{\#06} (\textbf{79s}) &             \textbf{\#06} ({80s}) &             \textbf{\#06} ({81s}) &             \textbf{\#06} ({81s}) &             \textbf{\#06} ({80s}) &             \textbf{\#06} ({80s}) &      \textbf{\#06} (\textbf{79s}) &             \textbf{\#06} ({81s}) \\
\emph{Haystacks}                &                \#{03} ({31,223s}) &                \#{03} ({31,207s}) &                \#{03} ({31,207s}) &                \#{03} ({31,211s}) &  \textbf{\#04} (\textbf{28,904s}) &                \#{02} ({33,612s}) &                \#{03} ({31,292s}) &                \#{02} ({33,605s}) \\
\emph{jnh}                      &       \textbf{\#03} (\textbf{8s}) &              \textbf{\#03} ({9s}) &              \textbf{\#03} ({9s}) &              \textbf{\#03} ({9s}) &              \textbf{\#03} ({9s}) &       \textbf{\#03} (\textbf{8s}) &       \textbf{\#03} (\textbf{8s}) &       \textbf{\#03} (\textbf{8s}) \\
\emph{Kakuro}                   &            \textbf{\#12} ({107s}) &             \textbf{\#12} ({97s}) &            \textbf{\#12} ({162s}) &      \textbf{\#12} (\textbf{90s}) &            \textbf{\#12} ({464s}) &                 \#{11} ({2,428s}) &            \textbf{\#12} ({108s}) &                 \#{11} ({2,429s}) \\
\emph{Knights}                  &   \textbf{\#05} (\textbf{3,055s}) &          \textbf{\#05} ({3,331s}) &          \textbf{\#05} ({3,219s}) &          \textbf{\#05} ({3,335s}) &          \textbf{\#05} ({3,231s}) &          \textbf{\#05} ({4,275s}) &          \textbf{\#05} ({3,951s}) &          \textbf{\#05} ({3,370s}) \\
\emph{KnightTour}               &   \textbf{\#11} (\textbf{3,556s}) &                 \#{10} ({5,331s}) &                 \#{10} ({5,530s}) &                 \#{09} ({7,733s}) &                 \#{10} ({6,109s}) &          \textbf{\#11} ({3,564s}) &                \#{05} ({16,822s}) &                \#{06} ({14,420s}) \\
\emph{la03x2}                   &   \textbf{\#00} (\textbf{2,400s}) &   \textbf{\#00} (\textbf{2,400s}) &   \textbf{\#00} (\textbf{2,400s}) &   \textbf{\#00} (\textbf{2,400s}) &   \textbf{\#00} (\textbf{2,400s}) &   \textbf{\#00} (\textbf{2,400s}) &   \textbf{\#00} (\textbf{2,400s}) &   \textbf{\#00} (\textbf{2,400s}) \\
\emph{LangfordBin}              &  \textbf{\#12} (\textbf{12,370s}) &         \textbf{\#12} ({13,658s}) &         \textbf{\#12} ({13,011s}) &                \#{11} ({14,431s}) &                \#{11} ({14,439s}) &                \#{10} ({18,184s}) &                \#{04} ({31,796s}) &                \#{03} ({33,655s}) \\
\emph{Langford}                 &   \textbf{\#03} (\textbf{7,205s}) &   \textbf{\#03} (\textbf{7,205s}) &   \textbf{\#03} (\textbf{7,205s}) &   \textbf{\#03} (\textbf{7,205s}) &   \textbf{\#03} (\textbf{7,205s}) &   \textbf{\#03} (\textbf{7,205s}) &          \textbf{\#03} ({7,211s}) &   \textbf{\#03} (\textbf{7,205s}) \\
\emph{lard}                     &      \textbf{\#04} (\textbf{89s}) &             \textbf{\#04} ({90s}) &      \textbf{\#04} (\textbf{89s}) &      \textbf{\#04} (\textbf{89s}) &      \textbf{\#04} (\textbf{89s}) &             \textbf{\#04} ({90s}) &            \textbf{\#04} ({132s}) &             \textbf{\#04} ({91s}) \\
\emph{MagicHexagon}             &  \textbf{\#08} (\textbf{22,618s}) &                \#{06} ({27,228s}) &         \textbf{\#08} ({22,870s}) &                \#{07} ({24,356s}) &                \#{06} ({26,749s}) &                \#{07} ({26,103s}) &                \#{07} ({24,585s}) &         \textbf{\#08} ({22,926s}) \\
\emph{MagicSequence}            &      \textbf{\#12} (\textbf{47s}) &             \textbf{\#12} ({65s}) &             \textbf{\#12} ({64s}) &             \textbf{\#12} ({64s}) &             \textbf{\#12} ({48s}) &             \textbf{\#12} ({64s}) &             \textbf{\#12} ({89s}) &      \textbf{\#12} (\textbf{47s}) \\
\emph{MagicSquare}              &  \textbf{\#22} (\textbf{32,145s}) &                \#{21} ({34,709s}) &                \#{21} ({35,127s}) &                \#{21} ({35,882s}) &                \#{21} ({33,898s}) &                \#{20} ({36,736s}) &                \#{20} ({36,160s}) &         \textbf{\#22} ({33,128s}) \\
\emph{MarketSplit}              &      \textbf{\#06} (\textbf{38s}) &            \textbf{\#06} ({135s}) &            \textbf{\#06} ({217s}) &            \textbf{\#06} ({201s}) &            \textbf{\#06} ({210s}) &            \textbf{\#06} ({420s}) &            \textbf{\#06} ({150s}) &          \textbf{\#06} ({1,329s}) \\
\emph{mdd}                      &     \textbf{\#04} (\textbf{260s}) &            \textbf{\#04} ({663s}) &            \textbf{\#04} ({492s}) &            \textbf{\#04} ({892s}) &          \textbf{\#04} ({1,099s}) &          \textbf{\#04} ({1,397s}) &            \textbf{\#04} ({278s}) &          \textbf{\#04} ({1,586s}) \\
\emph{MisteryShopper}           &      \textbf{\#10} (\textbf{38s}) &             \textbf{\#10} ({39s}) &             \textbf{\#10} ({39s}) &             \textbf{\#10} ({39s}) &             \textbf{\#10} ({39s}) &      \textbf{\#10} (\textbf{38s}) &             \textbf{\#10} ({61s}) &             \textbf{\#10} ({39s}) \\
\emph{MultiKnapsack}            &      \textbf{\#08} (\textbf{23s}) &             \textbf{\#08} ({35s}) &             \textbf{\#08} ({32s}) &             \textbf{\#08} ({36s}) &             \textbf{\#08} ({44s}) &             \textbf{\#08} ({33s}) &             \textbf{\#08} ({35s}) &            \textbf{\#08} ({497s}) \\
\emph{Nonogram}                 &      \textbf{\#12} (\textbf{40s}) &             \textbf{\#12} ({63s}) &             \textbf{\#12} ({42s}) &             \textbf{\#12} ({42s}) &             \textbf{\#12} ({43s}) &             \textbf{\#12} ({41s}) &             \textbf{\#12} ({41s}) &      \textbf{\#12} (\textbf{40s}) \\
\emph{NumberPartitioning}       &     \textbf{\#06} (\textbf{220s}) &          \textbf{\#06} ({2,940s}) &                 \#{04} ({4,907s}) &          \textbf{\#06} ({1,512s}) &          \textbf{\#06} ({1,951s}) &            \textbf{\#06} ({580s}) &                 \#{04} ({5,238s}) &                 \#{02} ({9,608s}) \\
\emph{Ortholatin}               &  \textbf{\#01} (\textbf{12,003s}) &  \textbf{\#01} (\textbf{12,003s}) &  \textbf{\#01} (\textbf{12,003s}) &  \textbf{\#01} (\textbf{12,003s}) &  \textbf{\#01} (\textbf{12,003s}) &  \textbf{\#01} (\textbf{12,003s}) &  \textbf{\#01} (\textbf{12,003s}) &  \textbf{\#01} (\textbf{12,003s}) \\
\emph{Pb}                       &  \textbf{\#07} (\textbf{30,372s}) &                \#{06} ({31,362s}) &                \#{06} ({31,769s}) &                \#{06} ({31,560s}) &                \#{06} ({31,619s}) &                \#{06} ({31,325s}) &         \textbf{\#07} ({30,411s}) &                \#{06} ({31,567s}) \\
\emph{pigeonsPlus}              &      \textbf{\#06} (\textbf{85s}) &            \textbf{\#06} ({178s}) &            \textbf{\#06} ({144s}) &            \textbf{\#06} ({165s}) &            \textbf{\#06} ({230s}) &            \textbf{\#06} ({166s}) &            \textbf{\#06} ({193s}) &            \textbf{\#06} ({140s}) \\
\emph{Primes}                   &             \textbf{\#06} ({39s}) &      \textbf{\#06} (\textbf{36s}) &            \textbf{\#06} ({119s}) &            \textbf{\#06} ({140s}) &            \textbf{\#06} ({197s}) &             \textbf{\#06} ({65s}) &             \textbf{\#06} ({42s}) &            \textbf{\#06} ({373s}) \\
\emph{PropStress}               &   \textbf{\#05} (\textbf{2,487s}) &          \textbf{\#05} ({2,491s}) &          \textbf{\#05} ({2,492s}) &          \textbf{\#05} ({2,491s}) &          \textbf{\#05} ({2,490s}) &          \textbf{\#05} ({2,491s}) &          \textbf{\#05} ({2,490s}) &          \textbf{\#05} ({2,491s}) \\
\emph{QuasiGroup}               &  \textbf{\#17} (\textbf{50,665s}) &         \textbf{\#17} ({51,431s}) &         \textbf{\#17} ({51,472s}) &         \textbf{\#17} ({51,150s}) &         \textbf{\#17} ({51,120s}) &                \#{15} ({56,089s}) &                \#{16} ({53,897s}) &                \#{16} ({53,988s}) \\
\emph{QueenAttacking}           &   \textbf{\#02} (\textbf{9,612s}) &          \textbf{\#02} ({9,700s}) &          \textbf{\#02} ({9,626s}) &          \textbf{\#02} ({9,686s}) &          \textbf{\#02} ({9,641s}) &   \textbf{\#02} (\textbf{9,612s}) &          \textbf{\#02} ({9,635s}) &          \textbf{\#02} ({9,667s}) \\
\emph{QueensKnights}            &     \textbf{\#06} (\textbf{387s}) &            \textbf{\#06} ({553s}) &            \textbf{\#06} ({626s}) &          \textbf{\#06} ({1,947s}) &          \textbf{\#06} ({1,345s}) &            \textbf{\#06} ({543s}) &            \textbf{\#06} ({389s}) &            \textbf{\#06} ({645s}) \\
\emph{Queens}                   &      \textbf{\#06} (\textbf{33s}) &             \textbf{\#06} ({39s}) &             \textbf{\#06} ({37s}) &             \textbf{\#06} ({38s}) &             \textbf{\#06} ({42s}) &             \textbf{\#06} ({37s}) &             \textbf{\#06} ({51s}) &             \textbf{\#06} ({38s}) \\
\emph{qwh}                      &     \textbf{\#07} (\textbf{118s}) &            \textbf{\#07} ({792s}) &          \textbf{\#07} ({2,051s}) &            \textbf{\#07} ({617s}) &          \textbf{\#07} ({1,324s}) &            \textbf{\#07} ({892s}) &          \textbf{\#07} ({2,488s}) &          \textbf{\#07} ({1,401s}) \\
\emph{RadarSurveillance}        &      \textbf{\#06} (\textbf{17s}) &             \textbf{\#06} ({18s}) &             \textbf{\#06} ({18s}) &             \textbf{\#06} ({18s}) &             \textbf{\#06} ({18s}) &             \textbf{\#06} ({18s}) &             \textbf{\#06} ({18s}) &             \textbf{\#06} ({18s}) \\
\emph{rand}                     &     \textbf{\#16} (\textbf{561s}) &          \textbf{\#16} ({1,234s}) &          \textbf{\#16} ({1,069s}) &          \textbf{\#16} ({2,683s}) &                 \#{15} ({2,983s}) &          \textbf{\#16} ({2,011s}) &            \textbf{\#16} ({726s}) &            \textbf{\#16} ({599s}) \\
\emph{RectPacking}              &  \textbf{\#00} (\textbf{14,400s}) &  \textbf{\#00} (\textbf{14,400s}) &  \textbf{\#00} (\textbf{14,400s}) &  \textbf{\#00} (\textbf{14,400s}) &  \textbf{\#00} (\textbf{14,400s}) &  \textbf{\#00} (\textbf{14,400s}) &  \textbf{\#00} (\textbf{14,400s}) &  \textbf{\#00} (\textbf{14,400s}) \\
\emph{reg}                      &      \textbf{\#04} (\textbf{18s}) &             \textbf{\#04} ({22s}) &             \textbf{\#04} ({21s}) &             \textbf{\#04} ({36s}) &             \textbf{\#04} ({27s}) &             \textbf{\#04} ({24s}) &             \textbf{\#04} ({31s}) &             \textbf{\#04} ({19s}) \\
\emph{RenaultMod}               &      \textbf{\#06} (\textbf{21s}) &             \textbf{\#06} ({22s}) &             \textbf{\#06} ({22s}) &             \textbf{\#06} ({66s}) &             \textbf{\#06} ({23s}) &             \textbf{\#06} ({22s}) &             \textbf{\#06} ({22s}) &             \textbf{\#06} ({22s}) \\
\emph{Renault}                  &      \textbf{\#06} (\textbf{15s}) &             \textbf{\#06} ({16s}) &             \textbf{\#06} ({16s}) &             \textbf{\#06} ({16s}) &             \textbf{\#06} ({16s}) &             \textbf{\#06} ({16s}) &             \textbf{\#06} ({16s}) &             \textbf{\#06} ({16s}) \\
\emph{Rlfap}                    &   \textbf{\#29} (\textbf{1,621s}) &          \textbf{\#29} ({2,316s}) &          \textbf{\#29} ({2,574s}) &          \textbf{\#29} ({3,749s}) &                 \#{27} ({6,975s}) &          \textbf{\#29} ({1,814s}) &          \textbf{\#29} ({4,140s}) &          \textbf{\#29} ({1,623s}) \\
\emph{RoomMate}                 &   \textbf{\#05} (\textbf{2,435s}) &          \textbf{\#05} ({2,440s}) &          \textbf{\#05} ({2,491s}) &          \textbf{\#05} ({2,478s}) &          \textbf{\#05} ({2,436s}) &   \textbf{\#05} (\textbf{2,435s}) &          \textbf{\#05} ({2,438s}) &          \textbf{\#05} ({2,437s}) \\
\emph{Sadeh}                    &      \textbf{\#06} (\textbf{16s}) &      \textbf{\#06} (\textbf{16s}) &             \textbf{\#06} ({17s}) &             \textbf{\#06} ({18s}) &             \textbf{\#06} ({18s}) &      \textbf{\#06} (\textbf{16s}) &      \textbf{\#06} (\textbf{16s}) &      \textbf{\#06} (\textbf{16s}) \\
\emph{Sat}                      &      \textbf{\#12} (\textbf{69s}) &             \textbf{\#12} ({78s}) &             \textbf{\#12} ({88s}) &             \textbf{\#12} ({96s}) &             \textbf{\#12} ({88s}) &             \textbf{\#12} ({95s}) &             \textbf{\#12} ({88s}) &             \textbf{\#12} ({75s}) \\
\emph{SchurrLemma}              &   \textbf{\#09} (\textbf{2,879s}) &          \textbf{\#09} ({3,247s}) &          \textbf{\#09} ({4,024s}) &          \textbf{\#09} ({3,184s}) &          \textbf{\#09} ({3,022s}) &                 \#{08} ({5,566s}) &                 \#{08} ({5,604s}) &                 \#{08} ({5,356s}) \\
\emph{SocialGolfers}            &  \textbf{\#15} (\textbf{21,758s}) &         \textbf{\#15} ({22,113s}) &         \textbf{\#15} ({21,913s}) &         \textbf{\#15} ({22,361s}) &         \textbf{\#15} ({23,090s}) &         \textbf{\#15} ({22,553s}) &                \#{14} ({24,211s}) &                \#{14} ({24,365s}) \\
\emph{SportsScheduling}         &         \textbf{\#06} ({26,471s}) &                \#{05} ({26,736s}) &                \#{05} ({26,490s}) &         \#{05} (\textbf{26,464s}) &                \#{05} ({26,586s}) &         \textbf{\#06} ({26,481s}) &                \#{05} ({27,094s}) &                \#{05} ({26,903s}) \\
\emph{Steiner3}                 &   \textbf{\#02} (\textbf{9,606s}) &   \textbf{\#02} (\textbf{9,606s}) &          \textbf{\#02} ({9,607s}) &          \textbf{\#02} ({9,612s}) &          \textbf{\#02} ({9,608s}) &   \textbf{\#02} (\textbf{9,606s}) &   \textbf{\#02} (\textbf{9,606s}) &   \textbf{\#02} (\textbf{9,606s}) \\
\emph{StripPacking}             &  \textbf{\#05} (\textbf{33,756s}) &                \#{03} ({36,652s}) &                \#{03} ({36,186s}) &                \#{04} ({35,729s}) &                \#{04} ({35,912s}) &         \textbf{\#05} ({33,933s}) &                \#{03} ({36,122s}) &                \#{02} ({39,375s}) \\
\emph{Subisomorphism}           &   \textbf{\#15} (\textbf{6,510s}) &          \textbf{\#15} ({8,209s}) &          \textbf{\#15} ({7,011s}) &                 \#{14} ({9,736s}) &                 \#{14} ({8,978s}) &                \#{14} ({10,115s}) &                 \#{14} ({8,863s}) &                \#{13} ({11,997s}) \\
\emph{sudoku368\_X2}            &       \textbf{\#01} (\textbf{2s}) &       \textbf{\#01} (\textbf{2s}) &       \textbf{\#01} (\textbf{2s}) &       \textbf{\#01} (\textbf{2s}) &       \textbf{\#01} (\textbf{2s}) &       \textbf{\#01} (\textbf{2s}) &       \textbf{\#01} (\textbf{2s}) &       \textbf{\#01} (\textbf{2s}) \\
\emph{Sudoku}                   &      \textbf{\#12} (\textbf{47s}) &             \textbf{\#12} ({76s}) &             \textbf{\#12} ({48s}) &             \textbf{\#12} ({48s}) &             \textbf{\#12} ({48s}) &      \textbf{\#12} (\textbf{47s}) &      \textbf{\#12} (\textbf{47s}) &      \textbf{\#12} (\textbf{47s}) \\
\emph{SuperQueens}              &   \textbf{\#02} (\textbf{9,812s}) &          \textbf{\#02} ({9,972s}) &          \textbf{\#02} ({9,941s}) &         \textbf{\#02} ({10,081s}) &         \textbf{\#02} ({10,220s}) &         \textbf{\#02} ({10,245s}) &         \textbf{\#02} ({10,003s}) &   \textbf{\#02} (\textbf{9,812s}) \\
\emph{SuperSadeh}               &      \textbf{\#06} (\textbf{61s}) &             \textbf{\#06} ({78s}) &            \textbf{\#06} ({499s}) &                 \#{05} ({2,439s}) &          \textbf{\#06} ({2,074s}) &                 \#{05} ({2,724s}) &                 \#{05} ({2,476s}) &                 \#{04} ({4,888s}) \\
\emph{SuperTaillard}            &                 \#{02} ({9,752s}) &   \textbf{\#03} (\textbf{9,183s}) &                \#{02} ({10,055s}) &                \#{02} ({10,137s}) &                 \#{02} ({9,912s}) &                \#{02} ({10,653s}) &                \#{01} ({12,002s}) &                 \#{02} ({9,752s}) \\
\emph{TravellingSalesman}       &      \textbf{\#06} (\textbf{25s}) &             \textbf{\#06} ({31s}) &             \textbf{\#06} ({29s}) &             \textbf{\#06} ({32s}) &             \textbf{\#06} ({32s}) &             \textbf{\#06} ({34s}) &             \textbf{\#06} ({30s}) &             \textbf{\#06} ({28s}) \\
\emph{Wwtpp}                    &   \textbf{\#05} (\textbf{2,425s}) &          \textbf{\#05} ({2,636s}) &          \textbf{\#05} ({2,761s}) &          \textbf{\#05} ({2,907s}) &          \textbf{\#05} ({2,457s}) &          \textbf{\#05} ({2,426s}) &          \textbf{\#05} ({2,541s}) &          \textbf{\#05} ({2,548s}) \\
\bottomrule
\end{tabular}
